# Who-Wants-To-be-a-Millionaire-Game
![Screenshot (15)](https://user-images.githubusercontent.com/103685058/185188624-f3b80adf-9800-4304-a182-c65290233eb5.png)


# About project

This project is a simulation of the popular Who Wants To Be A Millionaire tv show. **Who Wants to Be a Millionaire** is a quiz competition where contestants have to correctly answer a series of multiple-choice questions in order to advance to the next level / question.

# Skiils needed

* HTML
* CSS
* Tailwind CSS (Not absolutely necessary)
* Javascript
* Git/Github

# Contributing

Ensure you go through the [CONTRIBUTING.md](https://github.com/TaladeogoA/Who-Wants-To-be-a-Millionaire-Game/blob/main/CONTRIBUTING.md) file before you start making any contribution.

## You can contribute by:

* Adding functionality to prize money div. <br/>
![Screenshot (13)](https://user-images.githubusercontent.com/103685058/185189201-d5e261a7-be52-4077-a572-3b4a4be0b342.png)
* Adding game over/ game won visual elements.
* Adding functionality to lifelines. <br/>
![Screenshot (14)](https://user-images.githubusercontent.com/103685058/185189590-62e96f6b-a132-4802-8fdf-70a2c2c6e6dd.png)
* Anything else you think would be cool :wink:

# Usage

Clone repository

```
git clone https://<token>@github.com/<username>/Who-Wants-To-be-a-Millionaire-Game
```

Change directory

```
cd Who-Wants-To-be-a-Millionaire-Game
```

Install dependencies (Tailwind)

```
npm install
```

Run the Tailwind CLI to compile the **input.css** during development. The output file is **dist/output.css**

```
npm run watch
```

To build once run...

```
npm run build
```

# Rules of the game

There are 15 questions in total and each question is worth a specific amount of money and no time limit is placed on contestants to come up with an answer. Contestants also get three Lifelines to assist them if they get stuck on a particular question.

The **Who Wants to Be a Millionaire** questions are structured according to five different Levels with each level increasing in difficulty. Each level contains three questions.

Questions that are grouped into the same level will all be of similar difficulty. For example: Questions 1-3 make up the first Level and will contain the easiest questions. The second Level (Questions 4 – 6) will be slightly more difficult, followed by the third Level (Questions 7 – 9). The fourth Level (Questions 10-12) will consist of really difficult questions, followed by the fifth, and last, level (Questions 13 – 15) that will pose the most difficult questions of the game.

It’s important to remember that the questions which make up each level will not necessarily relate to the same or even similar topics, but their overall level of difficulty will be the same. Also note that the question Levels should not be confused with the Safe Havens or the Question Value Structure that are both explained below.

There are three **safe havens** in the question structure (Questions five, ten and fifteen). Contestants accumulate money with each correct answer, but should the they answer incorrectly before reaching a safe haven, they stand to lose a large amount of winnings. Below is a summary of the question value structure:

- Question 1 - ₦5,000
- Question 2 - ₦10,000
- Question 3 - ₦15,000
- Question 4 - ₦20,000
- Question 5 - ₦30,000 Safe Haven.

If contestants get this question wrong, they leave with nothing. If this question is answered correctly, contestants are guaranteed ₦30,000 even if the answer incorrectly before reaching the next safe haven at Question 10.

- Question 6 - ₦50,000
- Question 7 - ₦100,000
- Question 8 - ₦150,000
- Question 9 - ₦250,000
- Question 10 - ₦500,000 Safe Haven.

If contestants get this question wrong, they leave with ₦30,000. If this question is answered correctly, contestants are guaranteed ₦500,000 even if the answer incorrectly before reaching Question 15.

- Question 11 - ₦1,000,000
- Question 12 - ₦2,000,000
- Question 13 - ₦5,000,000
- Question 14 - ₦10,000,000
- Question 15 - ₦20,000,000

## Lifelines

Contestants are allowed three Lifelines that they can use at any point during the game. Each Lifeline can only be used once.

- **50/50** – eliminates one correct and one incorrect answer from the multiple-choice selection, leaving the contestant with only one correct and one incorrect option. This means they have a 50/50 chance.

- **Ask the Audience** – the audience is asked the same question as the contestant and a quick poll is done to show their answers. If the chart shows a clear majority for a specific answer, this Lifeline can be extremely helpful, but it’s still up to the contestant whether or not to go with the results obtained from the audience.

- **Phone a Friend** – Contestants are allowed to make a 30-second call to a friend or family member and ask them if they know the answer to the question.

## Terms and License

- Use it for personal and commercial projects, but please don’t republish, redistribute, or resell the template.
- Attribution is not required, although it is really appreciated.

### Looking forward to seeing your contributions.

